# $Revision: 1.27 $, $Date: 2009/11/26 13:04:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Locker
Summary:	IPC::Locker - distributed lock handler
Summary(pl.UTF-8):	IPC::Locker - obsługa rozproszonych blokad
Name:		perl-IPC-Locker
Version:	1.484
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f218dc9227557d32e0b5fddd3a9de16c
URL:		http://search.cpan.org/dist/IPC-Locker/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PC::Locker will query a remote server to obtain a lock. This is useful
for distributed utilities which run on many machines, and cannot use
file locks or other such mechanisms due to NFS or lack of common file
systems.

%description -l pl.UTF-8
IPC::Locker zapyta zdalny serwer w celu otrzymania blokady. Jest
użyteczny dla rozproszonych aplikacji, działających na wielu maszynach
i nie mogących używać blokad plikowych (file locks) lub innych tego
typu mechanizmów z powodu stosowania NFS lub braku tej opcji w
popularnych systemach plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/IPC/*
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Locker.spec,v $
Revision 1.27  2009/11/26 13:04:16  amateja
- updated to 1.484

Revision 1.26  2008/01/11 18:03:52  qboosh
- generic URL

Revision 1.25  2008-01-11 16:35:31  agaran
- up to 1.472, fixed perms at executables, builds here

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.22  2006/05/24 07:24:45  blaass
- up to 1.451

Revision 1.21  2004/12/01 17:35:27  radek
- autoupdated to 1.433

Revision 1.20  2004/11/03 22:30:27  paladine
- formatting

Revision 1.19  2004/10/24 15:23:07  ankry
- formatting

Revision 1.18  2004/10/24 15:14:57  paladine
- spelling fix

Revision 1.17  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.15  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.14  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.13  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.12  2004/02/08 08:56:58  misi3k
- updated to 1.430

Revision 1.11  2003/09/15 11:44:26  adamg
- updated to 1.420

Revision 1.10  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:33:46  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:18:39  ankry
- autoupdated to 1.410

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR
